org.apache.cassandra.db.compaction

## Class AbstractCompactionStrategy.ScannerList

- java.lang.Object
- - org.apache.cassandra.db.compaction.AbstractCompactionStrategy.ScannerList

- All Implemented Interfaces:
    java.lang.AutoCloseable
  Enclosing class:
    AbstractCompactionStrategy

      public static class AbstractCompactionStrategy.ScannerList
      extends java.lang.Object
      implements java.lang.AutoCloseable

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.util.List<ISSTableScanner>` | `scanners`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ScannerList(java.util.List<ISSTableScanner> scanners)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `double` | `getCompressionRatio()`
    `long` | `getTotalBytesScanned()`
    `long` | `getTotalCompressedSize()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### scanners

          public final java.util.List<ISSTableScanner> scanners

  - ### Constructor Detail

    - #### ScannerList

          public ScannerList(java.util.List<ISSTableScanner> scanners)

  - ### Method Detail

    - #### getTotalBytesScanned

          public long getTotalBytesScanned()

    - #### getTotalCompressedSize

          public long getTotalCompressedSize()

    - #### getCompressionRatio

          public double getCompressionRatio()

    - #### close

          public void close()

      Specified by:
        `close` in interface `java.lang.AutoCloseable`

Copyright © 2018 The Apache Software Foundation